﻿$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://www.masterpackager.com/installer/standard/Master_Packager_Std_19.6.1.0.msi'
$packageName = 'masterpackager'
$chocolateyPackageVersion = '19.6.1'

$packageArgs = @{
  packageName   = $packageName
  chocolateyPackageVersion = $chocolateyPackageVersion
  fileType      = 'MSI'
  url           = $url
  checksum      = 'f017b6d74e6da636ed03b3ae0ee479e7b7dfd921eb827a52c373c9bfb576d8c4'
  checksumType	= 'sha256'
  softwareName  = 'MasterPackager*'
  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs